% ***Incompatible with other schemes***


% Computes the right-hand side of the 1-D Euler equation


% Bring in utemp and Ptemp from rhotemp, rhoutemp and Etemp
Convert

% Calculate mass momentum and energy fluxes
CalculateFlux

% Split fluxes with local Lax-Fredrichs
% massflux
% rhotemp
[massfluxp, massfluxm] = LLF(massflux, rhotemp);
[momfluxp, momfluxm] = LLF(momflux, rhoutemp);
[NRGfluxp, NRGfluxm] = LLF(NRGflux, Etemp);

% Compute +/- WENO fluxes
massfluxhatp = WENOp(massfluxp);
massfluxhatm = WENOm(massfluxm);

momfluxhatp = WENOp(momfluxp);
momfluxhatm = WENOm(momfluxm);

NRGfluxhatp = WENOp(NRGfluxp);
NRGfluxhatm = WENOm(NRGfluxm);

% Compute total WENO flux to get derivative at j-th point
% Only consider the domain where the + and - WENO fluxes overlap
massfluxhat(3:N-3) = massfluxhatp(3:N-3) + massfluxhatm(3:N-3);
momfluxhat(3:N-3) = momfluxhatp(3:N-3) + momfluxhatm(3:N-3);
NRGfluxhat(3:N-3) = NRGfluxhatp(3:N-3) + NRGfluxhatm(3:N-3);

RHSmass = zeros(1,N);
RHSmom = zeros(1,N);
RHSNRG = zeros(1,N);

RHSmass(4:N-3) = -(massfluxhat(4:N-3) - massfluxhat(3:N-4))/dx;
RHSmom(4:N-3) = -(momfluxhat(4:N-3) - momfluxhat(3:N-4))/dx;
RHSNRG(4:N-3) = -(NRGfluxhat(4:N-3) - NRGfluxhat(3:N-4))/dx;