function [ fhat ] = WENOm( f )

% used for upwinding
global N ISc1 ISc2 qc alpc0 alpc1 alpc2


for j  = 2:N-3
    IS0(j) = ...
        ISc1*(f(j+1)     - 2.0*f(j+2) + f(j+3))^2 + ...
        ISc2*(3.0*f(j+1) - 4.0*f(j+2) + f(j+3))^2;
    IS1(j) = ...
        ISc1*(f(j)   - 2.0*f(j+1) + f(j+2))^2 + ...
        ISc2*(f(j+2) -     f(j))^2;
    IS2(j) = ...
        ISc1*(f(j-1) - 2.0*f(j) + f(j+1))^2 + ...
        ISc2*(f(j-1) - 4.0*f(j) + 3.0*f(j+1))^2;
    q0(j) = qc*(11.0*f(j+1) - 7.0*f(j+2) + 2.0*f(j+3));
    q1(j) = qc*(2.0*f(j)    + 5.0*f(j+1) -     f(j+2));
    q2(j) = qc*(-f(j-1)     + 5.0*f(j)   + 2.0*f(j+1));
end
alp0 = alpc0./((eps + IS0).^2);
alp1 = alpc1./((eps + IS1).^2);
alp2 = alpc2./((eps + IS2).^2);
alpsum = 1.0./(alp0 + alp1 + alp2);

w0 = alp0.*alpsum;
w1 = alp1.*alpsum;
w2 = alp2.*alpsum;
fhat = w0.*q0 + w1.*q1 + w2.*q2;


end

