% script to set all of the main variables
global gam time rk21 rk22 rk23 rk31 rk32 rk33 N eps ISc1 ISc2 qc ...
    alpc0 alpc1 alpc2 CFL timeF rhol ul pl rhor ur pr length dx dt ...
    Ptemp rhotemp utemp x

gam = 1.4;

% initial time
time = 0.0;

% RK substep values
rk21 = 3.0/4.0;
rk22 = 1.0/4.0;
rk23 = 1.0/4.0;
rk31 = 1.0/3.0;
rk32 = 2.0/3.0;
rk33 = 2.0/3.0;

N = 200;

% from wenochar
eps    = 1.0-6;
ISc1   = 13.0/12.0;
ISc2   = 1.0/4.0;
qc     = 1.0/6.0;
alpc0  = 1.0/10.0;
alpc1  = 3.0/5.0;
alpc2  = 3.0/10.0;


% from data.input
CFL = 0.6;
timeF = 2.0;

% Sod Shock Tube Initial Conditions
rhol = 1.0;
ul = 0.0;
pl = 1.0;   
rhor = 0.125;
ur = 0.0;
pr = 0.1;
length = 9.0;
dx = length/(N-1);
dt = CFL*timeF/(N-1);


