function [ rhorho, uu, pp ] = setProblem( xx )
% Sets the initial condition for sod's Shock Tube Problem.
global N rhol rhor ul pl ur pr gam

for i = 1:N
    if  (xx(i) <= 0)
        rhorho(i) = rhol;
        uu(i) = ul;
        pp(i) = pl;
    elseif (xx(i) > 0)
        rhorho(i) = rhor;
        uu(i) = ur;
        pp(i) = pr;
    end
end


% printing some stuff about each variable
xxxx = sprintf('Sod Shock Tube Problem Initial Variables:');
disp(xxxx)
xxxx = sprintf('Specific Heat Ratio = %d', (gam));
disp(xxxx)
xxxx = sprintf('After-shock density = %d', (rhol));
disp(xxxx)
xxxx = sprintf('After-shock velocity = %d', (ul));
disp(xxxx)
xxxx = sprintf('After-shock pressure = %d', (pl));
disp(xxxx)
xxxx = sprintf('Preshock-density = %d', (rhor));
disp(xxxx)
xxxx = sprintf('Pre-shock velocity = %d', (ur));
disp(xxxx)
xxxx = sprintf('Pre-shock pressure = %d', (pr));
disp(xxxx)

end
